server.port=7071
spring.application.name=TemplateEngine
spring.output.ansi.enabled=ALWAYS

#version
api.version = v1

#Database
spring.data.mongodb.database=TemplatesDb
spring.data.mongodb.port=27017
spring.data.mongodb.host=localhost

#Controller
base = /api/${api.version}
template.controller.mapping = ${base}/template



#logging
logging.pattern.console=%clr(%5p) [%logger{0}] %m%n
logging.level.com=INFO
logging.file.name=logs/templateEngine.log
logging.pattern.file=%d{dd-MM-yyyy HH:mm:ss.SSS} [%thread] %-5level %logger{36}.%M - %msg%n
